Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory.jca
Class MapXAResource

    java.lang.Object
      org.apache.commons.transaction.util.xa.AbstractXAResource
          org.apache.commons.transaction.memory.jca.MapXAResource

All Implemented Interfaces:
  Status, XAResource

public class MapXAResource
extends AbstractXAResource

Version:
  $Revision$

Nested Class Summary
`protected static class` | `MapXAResource.MapTransactionalResource`

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Fields inherited from interface javax.transaction.Status
`STATUS_ACTIVE, STATUS_COMMITTED, STATUS_COMMITTING, STATUS_MARKED_ROLLBACK, STATUS_NO_TRANSACTION, STATUS_PREPARED, STATUS_PREPARING, STATUS_ROLLEDBACK, STATUS_ROLLING_BACK, STATUS_UNKNOWN`

Constructor Summary
`MapXAResource(TransactionalMapWrapper map)`
`MapXAResource(TransactionalMapWrapper map, LoggerFacade loggerFacade)`

Method Summary
`protected TransactionalResource` | `createTransactionResource(Xid xid)`
`LoggerFacade` | `getLoggerFacade()`
`int` | `getTransactionTimeout()`
`protected boolean` | `includeBranchInXid()`
`boolean` | `isSameRM(XAResource xares)`
`Xid[]` | `recover(int flag)`
`void` | `setLoggerFacade(LoggerFacade loggerFacade)`
`protected void` | `setLoggerFacade(PrintWriter out)`
`boolean` | `setTransactionTimeout(int seconds)`

Methods inherited from class org.apache.commons.transaction.util.xa.AbstractXAResource
`addAcitveTransactionalResource, addSuspendedTransactionalResource, commit, end, forget, getActiveTransactionalResource, getCurrentlyActiveTransactionalResource, getSuspendedTransactionalResource, getTransactionalResource, prepare, removeActiveTransactionalResource, removeSuspendedTransactionalResource, rollback, setCurrentlyActiveTransactionalResource, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapXAResource

    public MapXAResource(TransactionalMapWrapper map)

### MapXAResource

    public MapXAResource(TransactionalMapWrapper map,
                         LoggerFacade loggerFacade)

Method Detail

### getTransactionTimeout

    public int getTransactionTimeout()
                              throws XAException

  Throws:
    `XAException`

### setTransactionTimeout

    public boolean setTransactionTimeout(int seconds)
                                  throws XAException

  Throws:
    `XAException`

### isSameRM

    public boolean isSameRM(XAResource xares)
                     throws XAException

  Specified by:
    `isSameRM` in interface `XAResource`
  Specified by:
    `isSameRM` in class `AbstractXAResource`
  Throws:
    `XAException`

### recover

    public Xid[] recover(int flag)
                  throws XAException

  Specified by:
    `recover` in interface `XAResource`
  Specified by:
    `recover` in class `AbstractXAResource`
  Throws:
    `XAException`

### getLoggerFacade

    public LoggerFacade getLoggerFacade()

  Specified by:
    `getLoggerFacade` in class `AbstractXAResource`

### setLoggerFacade

    public void setLoggerFacade(LoggerFacade loggerFacade)

### setLoggerFacade

    protected void setLoggerFacade(PrintWriter out)

### createTransactionResource

    protected TransactionalResource createTransactionResource(Xid xid)
                                                       throws Exception

  Specified by:
    `createTransactionResource` in class `AbstractXAResource`
  Throws:
    `Exception`

### includeBranchInXid

    protected boolean includeBranchInXid()

  Specified by:
    `includeBranchInXid` in class `AbstractXAResource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.